Subject: RE: bug#9899: 24.0.90; change in menu item representation

From: "Drew Adams" <[email-masked]>
Date: Fri, 28 Oct 2011 14:17:54 -0700

> The menu code also needs to do that, so your need is clearly a need we
> do satisfy: just use `where-is-internal' (if it's fast enough for the
> menubar, it should be fast enough for your use).

Well, yes, that's obvious.  I wasn't asking how to get the key binding for the
command.

The bug is about not mentioning this change, e.g. in NEWS.

This behavior and data structure were well-documented for Emacs-Lisp users, from
day one.  You changed them silently.  It is the silently part that constitutes a
bug.  That's what we have NEWS for.

In a project with community spirit, such as was the case for Emacs in the past,
the change would even have been _proposed_ to the community for discussion
before carrying it out.  Regardless of the decision reached and who decides, you
can only gain by opening things up to discussion.  Poor Emacs.